<html>

<head>


<META NAME="introduction" CONTENT="Sergei Chekanov">
<META NAME="KEYWORDS" CONTENT="RunMC by Chekanov">
<TITLE>RunMC for C++ Monte Carlo  by Sergei Chekanov </TITLE>

</head>

<style>hr { border:0; background:#cca; }</style>


<BODY>
<p>


<H1 ALIGN=CENTER><FONT COLOR="#000080"><FONT SIZE=7 STYLE="font-size: 32pt">
<SPAN STYLE="background: #ccccff">RunMC
</SPAN></FONT></FONT></H1>


<hr>
<table><tbody><tr>
<td style="vertical-align: top; padding-top: 1em;">
<ul class="nowrap" style="border: 4px solid rgb(102,0,204); padding: 1em 1em 1em 2em; background: rgb(204, 204, 255) none repeat scroll 0%; -moz-background-clip: initial; -m
oz-background-origin: initial; -moz-background-inline-policy: initial; margin-right: 2em;">
      <li><a href="index.php"><FONT COLOR="#94006b"><SPAN STYLE="background: #ccffff">Introduction</SPAN></FONT></a></li> 
      <li><a href="description.html">Description</a></li>
      <li><a href="snapshot.html">Snapshot</a></li>
      <li><a href="structure.html">Structure</a></li>
      <li><a href="documentation.html">Documentation</a></li>
      <li><a href="installation.html">Installation</a></li>
      <li><a href="rmcmodules.html">RMC modules</a></li>
      <li><a href="contributions.html">Contributions</a></li>
      <li><a href="news.html">News/Updates</a></li>
    </ul>
  </td>
  <td>



<H2><FONT COLOR="#0000ff">
<I>Introduction</I></FONT></H2>

<P>
<FONT SIZE=3><I>RunMC current version 4.1 (March 2006)</I></FONT>

<b>For  news and updates, check <A HREF="updates.php">News / recent updates</A> 
</b>

<P>RunMC is an object-oriented 
frond-end of Monte Carlo models 
to simulate events produced in high-energy collisions. 
The program is based on C++, <A HREF="http://root.cern.ch/">ROOT</A>
and the <A HREF="http://wwwinfo.cern.ch/asd/lhc++/clhep/">CLHEP
class library</A>. 
The RunMC  program can also be used together with the  
<A HREF="http://hepforge.cedar.ac.uk/hztool/">HZTOOL</A> calculations 
to obtain Monte Carlo predictions for current and future experiments (HERA, LEP, ILC,  Tevatron etc.). 

<P>
The following Monte Carlo models are supported: PYTHIA, HERWIG, ARIADNE,
LEPTO, AROMA, CASCADE, RAPGAP, PHOJET. 
See <A HREF="contributions.html">contributions</A> for details.

A short description of RunMC is available <A HREF="description.html">here</A>.
For more details, see   
<A HREF="documentation.html">RunMC documentation</A>.


<P>
Physics calculations can be loaded
to RunMC as easy as a document can be 
opened in the Microsoft Word
program. See external <A HREF="rmcmodules.html">RMC modules</A>.  


<P>
RunMC is a standalone desktop application. 
It can be 
<A HREF="installation.html">installed</A> 
on the Linux and Windows/Cygwin platforms.  

<hr>
<P>
Send comments and bug reports to the author  
<A HREF="mailto:chekanov@mail.desy.de">S.V.Chekanov (ANL)</A>.
</P>

<! count visitors but do not show the output !>
<?php require "./stat/phpcounter.php"; ?>


</P>
</TD>
</TR>
</TABLE>


</BODY>
</HTML>
