
package JRunMC.ui;

// Imports
import java.awt.*;
import java.awt.datatransfer.*; 
import java.awt.dnd.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import javax.swing.table.*;
import java.util.*;
import java.math.*;
import java.lang.*;


 public class  JTableTarget extends JTable implements DropTargetListener {


    public static final long serialVersionUID = 7;

// to keep all elements
    private static Vector<Object>  H1a;
    private static Vector<Object>  H2a;
    private static Vector<Object>  H3a;
    private static Vector<Object>  H4a;
    private static Vector<Object>  H5a;
    private static Vector<Object>  H6a;
    private static Vector<Object>  H7a;





      public JTableTarget() {

        H1a =  new Vector<Object>();
          H2a =  new Vector<Object>();
            H3a =  new Vector<Object>();
              H4a =  new Vector<Object>();
                 H5a =  new Vector<Object>();
                   H6a =  new Vector<Object>();
                     H7a =  new Vector<Object>();



            new DropTarget(this, this);
        }
        public void dragEnter(DropTargetDragEvent evt) {
            // Called when the user is dragging and enters this drop target.
        }
        public void dragOver(DropTargetDragEvent evt) {
            // Called when the user is dragging and moves over this drop target.
        }
        public void dragExit(DropTargetEvent evt) {
            // Called when the user is dragging and leaves this drop target.
        }
        public void dropActionChanged(DropTargetDragEvent evt) {
            // Called when the user changes the drag action between copy or move.
        }

        public void drop(DropTargetDropEvent evt) {
            // Called when the user finishes or cancels the drag operation.
           try {
            Transferable t = evt.getTransferable();
    
            if (t.isDataFlavorSupported(DataFlavor.stringFlavor)) {
                evt.acceptDrop(DnDConstants.ACTION_COPY);
                String s = (String)t.getTransferData(DataFlavor.stringFlavor);
                evt.getDropTargetContext().dropComplete(true);
     
               Point p = evt.getLocation(); 
         //  System.out.println(s);
               int selRow  = rowAtPoint(p);
        //     System.out.println("Debug: Object="+s+" put to Raw="+selRow);

          // decompose the graging string  
          int icoma=s.indexOf(" ")+1;
          String var=s.substring(0,icoma);
          String com=s.substring(icoma,s.length());
          com=com.trim(); // trim
          var=var.trim();

                MyTableModel model = (MyTableModel)getModel();

                // remove dummy entry for dragging 
                if (model.getRowCount() == 1) {
                     Object tmp=getValueAt(0,1);
                     String ss=tmp.toString(); 
                     if (ss.equals(" ")) model.setRowCount(0);
                }
                 
                model.insertRow(selRow, new Object[]{new Integer(selRow),
                                    new String(var),
                                    new Integer(1),
                                    new Double(0.0),
                                    new Double(1.0),
                                    new Integer(10),
                                    new Double(1),
                                    new String(" "+com) });


               // now the row is added. Then rebuild the table ! 
        H1a.clear();
        H2a.clear();
        H3a.clear();
        H4a.clear();
        H5a.clear();
        H6a.clear();
        H7a.clear();


// get all elements first
            Object tmp1,tmp2,tmp3,tmp4,tmp5,tmp6,tmp7;
            for (int i=0;i<model.getRowCount(); i++) {
            tmp1=getValueAt(i, 1);
            tmp2=getValueAt(i, 2);
            tmp3=getValueAt(i, 3);
            tmp4=getValueAt(i, 4);
            tmp5=getValueAt(i, 5);
            tmp6=getValueAt(i, 6);
            tmp7=getValueAt(i, 7);
            H1a.addElement( tmp1 );
            H2a.addElement( tmp2 );
            H3a.addElement( tmp3 );
            H4a.addElement( tmp4 );
            H5a.addElement( tmp5 );
            H6a.addElement( tmp6 );
            H7a.addElement( tmp7 );
          };


// clear table
            model.setRowCount(0);

            int ntot=0;
            for (int i=0;i<H1a.size(); i++) {
            ntot++;
            tmp1=H1a.elementAt(i);
            tmp2=H2a.elementAt(i);
            tmp3=H3a.elementAt(i);
            tmp4=H4a.elementAt(i);
            tmp5=H5a.elementAt(i);
            tmp6=H6a.elementAt(i);
            tmp7=H7a.elementAt(i);
            model.addRow(new Object[]{new Integer(ntot),tmp1,tmp2,tmp3,tmp4,tmp5,tmp6,tmp7});
          };





        //     process(s);
            } else {
                evt.rejectDrop();
            }
        } catch (IOException e) {
            evt.rejectDrop();
        } catch (UnsupportedFlavorException e) {
            evt.rejectDrop();
        }
        }


    }


