CDECK  ID>, HWURQM.
*CMZ :-        -17/07/03  11.11.56  by  Bryan Webber
*-- Author :    Bryan Webber
C----------------------------------------------------------------------
      SUBROUTINE HWURQM(SCALE,RQM)
C-----------------------------------------------------------------------
C     RUNNING QUARK MASSES (MSBAR, 2-LOOP, 5 FLAVOUR, NO THRESHOLDS)
C     ASSUMING RMASS(IQ) IS POLE MASS
C-----------------------------------------------------------------------
      INCLUDE 'HERWIG65.INC'
      DOUBLE PRECISION HWUALF,SCALE,ALFAS,P0,C1,CC,MHAT(6),RQM(6)
      INTEGER IQ
      LOGICAL FIRST
      SAVE P0,C1,MHAT,FIRST
      DATA FIRST/.TRUE./
      IF (FIRST) THEN
C---INITIALIZE CONSTANTS
        P0=12./23.
        C1=3731./(3174.*PIFAC)
        CC=C1+4./(3.*PIFAC)
        DO IQ=1,6
           ALFAS=HWUALF(1,RMASS(IQ))
           IF (ALFAS.GT.ZERO) THEN
              MHAT(IQ)=RMASS(IQ)/(1.+CC*ALFAS)/ALFAS**P0
           ELSE
              CALL HWWARN('HWURQM',IQ,*1)
 1            MHAT(IQ)=ZERO
           ENDIF
        ENDDO
        FIRST=.FALSE.
      ENDIF
      ALFAS=HWUALF(1,SCALE)
      CC=(1.+C1*ALFAS)*ALFAS**P0
      DO IQ=1,6
         RQM(IQ)=MHAT(IQ)*CC
      ENDDO
      END
