C
C
       DOUBLE PRECISION FUNCTION PLBEI1(X)
C**********************************************************************
C
C      Bessel Function I1
C
C**********************************************************************
       IMPLICIT DOUBLE PRECISION (A-H,O-Z)       
C
       AX = ABS(X)
C
       IF (AX .LT. 3.75D0) THEN
         Y = (X/3.75D0)**2
         BESLI1 =
     &     AX*(0.5D0+Y*(0.87890594D0+Y*(0.51498869D0+Y*(0.15084934D0
     &     +Y*(0.2658733D-1+Y*(0.301532D-2+Y*0.32411D-3))))))
       ELSE
         Y = 3.75D0/AX
         BESLI1 =
     &     0.2282967D-1+Y*(-0.2895312D-1+Y*(0.1787654D-1
     &     -Y*0.420059D-2))
         BESLI1 =
     &     0.39894228D0+Y*(-0.3988024D-1+Y*(-0.362018D-2
     &     +Y*(0.163801D-2+Y*(-0.1031555D-1+Y*BESLI1))))
         BESLI1 = BESLI1 * EXP(AX)/SQRT(AX)
       ENDIF
       IF (X .LT. 0.D0) BESLI1 = -BESLI1
C
       PLBEI1 = BESLI1
       END
