C
C
      SUBROUTINE POHCOR(ICOLD,ICNEW)
C*********************************************************************
C
C     correct color in HEPEVE to work in real QCD
C
C     input:    ICOLD   color to find
C               ICNEW   new color
C
C**********************************************************************
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
      SAVE
C
      PARAMETER (NMXHEP=2000)
      COMMON/HEPEVS/NEVHEP,NHEP,ISTHEP(NMXHEP),IDHEP(NMXHEP),
     &JMOHEP(2,NMXHEP),JDAHEP(2,NMXHEP),PHEP(5,NMXHEP),VHEP(4,NMXHEP)
      COMMON/HEPEVE/IMPART(NMXHEP),IPHIST(2,NMXHEP),ICOLOR(2,NMXHEP)
C
      DO 100 I=NHEP,3,-1
        IF(ISTHEP(I).NE.-1) GOTO 99
        IF(ICOLOR(1,I).EQ.ICOLD) THEN
          ICOLOR(1,I) = ICNEW
          GOTO 200
        ELSE IF((ICOLOR(2,I).EQ.ICOLD).AND.(IDHEP(I).EQ.21)) THEN
          ICOLOR(2,I) = ICNEW
          GOTO 200
        ENDIF
 99     CONTINUE
 100  CONTINUE
        WRITE(6,'(1X,A,I3)') 'POHCOR:ERROR:MISSING COLOR',ICOLD
        CALL POABRT
 200  CONTINUE
      END
